Name:             castor-maven-plugin
Version:          2.5
Release:          %mkrel 3
Summary:          Maven plugin for Castor XML's code generator
License:          ASL 2.0
URL:              http://www.mojohaus.org/castor-maven-plugin/
Group:            Development/Java

Source0:          https://github.com/mojohaus/castor-maven-plugin/archive/castor-maven-plugin-%{version}.tar.gz
Patch0:           duplicate-descriptors.patch

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    maven-local
BuildRequires:    mojo-parent
BuildRequires:    castor >= 1.3.2-9

%description
The Castor plugin is a Maven plugin that provides the functionality of Castor
XML's code generator for generating Java beans and associated descriptor
classes (required for marshaling to and unmarshaling from XML documents) from
XML Schema files.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n castor-maven-plugin-castor-maven-plugin-%{version}

# Remove any pre-built binaries
find -name "*.jar" -exec rm {} \;
find -name "*.class" -exec rm {} \;

# Patch due to duplicate mojo descriptor generation
sed -i 's/\r/\n/g' src/main/java/org/codehaus/mojo/castor/ConvertDTD2XSDMojo.java
%patch0

# Missing dep on maven core/compat
%pom_add_dep org.apache.maven:maven-core
%pom_add_dep org.apache.maven:maven-compat

%build
%mvn_build -- -Denforcer.skip=true

%install
%mvn_install

%files -f .mfiles
%license LICENSE.TXT

%files javadoc -f .mfiles-javadoc
%license LICENSE.TXT



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 2.5-3.mga6
+ Revision: 981863
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 2.5-2.mga6
+ Revision: 975739
- First rebuild of the java stack
- sync package castor-maven-plugin with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Feb 20 2015 daviddavid <daviddavid> 2.1-5.mga5
+ Revision: 816125
- rebuild for new jruby, yecht and nailgun
- add missing BuildRequires on options and jffi-native

* Wed Oct 15 2014 umeabot <umeabot> 2.1-4.mga5
+ Revision: 750911
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Dec 18 2013 dmorgan <dmorgan> 2.1-2.mga4
+ Revision: 558533
- imported package castor-maven-plugin


* Sat Aug 10 2013 Mat Booth <fedora@matbooth.co.uk> - 2.1-2
- Remove pre-built binaries in %%prep

* Fri Aug 09 2013 Mat Booth <fedora@matbooth.co.uk> - 2.1-1
- Initial version of the package

